petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCBDDCSetNeumannBoundaries

Set IS defining Neumann boundaries for the global problem.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetNeumannBoundaries(PC pc,IS NeumannBoundaries)

Collective

### Input Parameters

| pc | - the preconditioning context
| NeumannBoundaries | - parallel IS defining the Neumann boundaries

### Notes

Any process can list any global node

### See Also

PCBDDC, PCBDDCSetNeumannBoundariesLocal()

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCSetNeumannBoundaries_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages